Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.gui
Class ImageView

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLabel
                              |
                              +--com.pearsoneduc.ip.gui.ImageView

Direct Known Subclasses:
  ViewWithROI

public class ImageView
extends javax.swing.JLabel
implements javax.swing.Scrollable

A component that displays a BufferedImage.

ImageView is a version of JLabel that can display a BufferedImage object, rather than an ImageIcon. It implements the Scrollable interface, and will therefore behave sensibly when embedded in a JScrollPane. An image processing operation can be specified that will be applied to the image prior to display; if null is specified, then no operation will be performed.

Version:
  1.1 [1999/07/08]
Author:
  Nick Efford
See Also:
  `JLabel`, `Scrollable`, `BufferedImage`, `BufferedImageOp`, Serialized Form

Inner classes inherited from class javax.swing.JLabel
`javax.swing.JLabel.AccessibleJLabel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`ImageView(java.awt.image.BufferedImage img)` Constructs an ImageView to display the specified BufferedImage.
`ImageView(java.awt.image.BufferedImage img, java.awt.image.BufferedImageOp op)` Constructs an ImageView to display a processed BufferedImage.

Method Summary
`java.awt.Dimension` | `getPreferredScrollableViewportSize()`
`int` | `getScrollableBlockIncrement(java.awt.Rectangle visibleRect, int orientation, int direction)`
`boolean` | `getScrollableTracksViewportHeight()`
`boolean` | `getScrollableTracksViewportWidth()`
`int` | `getScrollableUnitIncrement(java.awt.Rectangle visibleRect, int orientation, int direction)`
`void` | `paintComponent(java.awt.Graphics g)` Displays the image associated with an ImageView object.
`void` | `setImage(java.awt.image.BufferedImage img)` Changes the image being displayed.
`void` | `setOperation(java.awt.image.BufferedImageOp op)` Changes the operation applied to an image.
`void` | `setViewSize(java.awt.Dimension newViewSize)` Changes the viewport size.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageView

    public ImageView(java.awt.image.BufferedImage img)

  Constructs an ImageView to display the specified BufferedImage.
  Parameters:
    `img` - image to be displayed

### ImageView

    public ImageView(java.awt.image.BufferedImage img,
                     java.awt.image.BufferedImageOp op)

  Constructs an ImageView to display a processed BufferedImage.
  Parameters:
    `img` - image to be displayed
    `op` - operation to be applied before display

Method Detail

### setImage

    public void setImage(java.awt.image.BufferedImage img)

  Changes the image being displayed.
  Parameters:
    `img` - new image

### setOperation

    public void setOperation(java.awt.image.BufferedImageOp op)

  Changes the operation applied to an image.
  Parameters:
    `op` - image processing operation

### setViewSize

    public void setViewSize(java.awt.Dimension newViewSize)

  Changes the viewport size. This has an effect only when the ImageView object is embedded in a JScrollPane.
  Parameters:
    `newViewSize` - Dimension object defining the new viewport size

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Displays the image associated with an ImageView object.
  Parameters:
    `g` - graphics context for the ImageView object
  Overrides:
    paintComponent in class javax.swing.JComponent

### getPreferredScrollableViewportSize

    public java.awt.Dimension getPreferredScrollableViewportSize()

  Specified by:
    getPreferredScrollableViewportSize in interface javax.swing.Scrollable

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(java.awt.Rectangle visibleRect,
                                          int orientation,
                                          int direction)

  Specified by:
    getScrollableUnitIncrement in interface javax.swing.Scrollable

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(java.awt.Rectangle visibleRect,
                                           int orientation,
                                           int direction)

  Specified by:
    getScrollableBlockIncrement in interface javax.swing.Scrollable

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Specified by:
    getScrollableTracksViewportWidth in interface javax.swing.Scrollable

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Specified by:
    getScrollableTracksViewportHeight in interface javax.swing.Scrollable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD